#!/bin/bash
#
# (C) 2013 Tobias Boege <tobias@gambas-buch.de>, GPLv2-only.

if [ -z "$1" -o "$1" == "-h" -o "$1" == "--help" ]
then (echo
echo "Usage: $0 INSTALL_PATH"
echo "(C) 2013 Tobias Boege <tobias@gambas-buch.de>, GPLv2-only."
echo
echo "Change the Gambas installation path to INSTALL_PATH."
echo) >&2
exit 1
fi

res=$(pgrep gb[xr]3)
if [ -n "$res" ]
then (echo "There are Gambas interpreters running. You cannot change"
echo "the Gambas installation path now.") >&2
exit 1
fi

if [ \! -L /usr/bin/gbx3 ]
then mv /usr/bin/gbx3 /usr/bin/gbx3_backup
fi
ln -s $1/bin/gbx3 /usr/bin/gbx3
